#include <stdio.h> 
#include <stdlib.h> 

static char * retbuf = 0;

char *
fgetln(FILE * stream, size_t * len)
{
  int llen = 120;
  int pos = 0;
  int c;

  if (retbuf)
    free(retbuf);

  if (!stream || !len)
    return 0;

  if ((retbuf = (char *)malloc(llen)) == 0)
    return 0;

  /* XXX TODO: test whether stream is open for reading ! */
  /* { errno = EBADF;  return 0; } */

  for(;;)
    {
      if ((c =  getc(stream)) == EOF)
	break;

      if (pos >= llen)
	{
	  char * newretbuf;

	  llen *= 2;
	  newretbuf = (char *)realloc(retbuf, llen);
	  if (!newretbuf)
	    {
	      free(retbuf);
	      return 0;
	    }
	  retbuf = newretbuf;
	}

      if ((retbuf[pos++] = (char) c) == '\n')
	break;
    }

  *len = pos;
  return retbuf;
}
