Name        	: libpam
Version     	: 0.72
Release     	: 2
Group       	: System/Library

Summary     	: Pluggable Authentication Modules.

Copyright   	: GPL or BSD
Packager    	: duwe@lst.de (Torsten Duwe)
Icon        	: .pam-apps.xpm

#URL 		:
Requires    	: libpwdb >= 0.54 , cracklib

BuildRoot   	: /tmp/%{Name}-%{Version}

Source: ftp://ftp.kernel.org/pub/linux/libs/pam/pre/library/Linux-PAM-%{Version}.tar.gz
Patch0: Linux-PAM-COL-patch
# Patch1: Linux-PAM-%{Version}-glibc.patch


%Package devel
Group       	: Programming/Library
Summary     	: Development libraries and header files for PAM.


#Icon 		:
Requires    	: %{Name} = %{Version}


%Description
PAM (Pluggable Authentication Modules) is a powerful, flexible,
extensible authentication system which allows the system administrator
to configure authentication services individually for every pam-compliant
application without recompiling any of the applications.


%Description devel
This is the package containing the development libaries and header
files for writing programs that access the PAM system.  It may
be necessary to build some other packages as well.


%Prep
%setup -n Linux-PAM-%{Version}
%patch0 -p1
# %patch1 -p1
for module in `cd modules && ls -d pam*` ; do
	if [ -f modules/$module/README ] ; then
		cp -p modules/$module/README doc/modules/README.$module
	fi
done
ln -s libpam/include .
mv modules/{,Broken-}pam_filter

%Build
format="`[ -x /usr/TeX/bin/latex -a -x /usr/bin/sgml2html ] && echo 'OK' || true`"

ln -sf defs/col.defs ./default.defs
touch .freezemake
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

if [ -n "$format" ]; then
  make -C doc
else
  echo "Sorry, no doc files due to lack of formatters at compile-time" > doc/pam.txt
fi


%Install
%{mkDESTDIR}

mkdir -p $DESTDIR/usr/man/man{3,8} $DESTDIR/{etc,usr/include}/security
mkdir -p $DESTDIR/etc/pam.d

touch conf/.ignore_age
touch modules/pam_radius/.ignore_age

make install FAKEROOT=$DESTDIR <<YESS
y
y
y
y
y
YESS

install -m 755 -o root -g root conf/pam_conv1/pam_conv1 $DESTDIR/sbin

# cat conf/pam.conf | (cd $DESTDIR/etc; ../sbin/pam_conv1) || exit 1
rm -rf pam.d; $DESTDIR/sbin/pam_conv1 < conf/pam.conf || true

install -m 644 -o root -g root pam.d/other $DESTDIR/etc/pam.d/
cat > $DESTDIR/etc/pam.d/README << EOR
This directory contains the authentication configuration files for
various programs and services. They are usually included in the
packages those programs come from. Should this not be the case or
should You encounter any problems reference/examples can be found
under /usr/doc/libpam-*/pam.d
EOR


cd doc/man
for mansect in 3 8 ; do
	for i in *.${mansect} ; do
		install -c -m 644 $i $DESTDIR/usr/man/man${mansect}
	done
done
cd ../..
ln -sf pam.8 $DESTDIR/usr/man/man8/pam.conf.8

mkdir $DESTDIR/usr/lib
mv $DESTDIR/lib/*.{a,so} $DESTDIR/usr/lib
for i in libpam libpam_misc; do
  ln -sf ../../lib/$i.so.%{Version} $DESTDIR/usr/lib/$i.so
done

%{fixManPages}
%{fixInfoPages}


%Clean
%{rmDESTDIR}


%Post
/sbin/ldconfig
[ -f /var/run/utmp ] || :> /var/run/utmp
[ -f /var/log/lastlog ] || :>/var/log/lastlog


%PostUn
/sbin/ldconfig


%Files
%doc Copyright README CHANGELOG
%doc doc/txts doc/NOTES doc/specs
%doc doc/modules/README.*
%doc pam.d

/sbin/pam_conv1
#/sbin/pam_filter
/lib/*
/usr/man/man8/*

%dir /etc/pam.d
/etc/pam.d/README
/etc/pam.d/other
%config /etc/security/time.conf
%config /etc/security/group.conf
%config /etc/security/limits.conf
#%config /etc/security/radius.conf


%Files devel
/usr/include/security/*
/usr/lib/*.so
/usr/man/man3/*
/usr/lib/*.a


%ChangeLog
* Mon Jan 01 1997 ...
$Id: libpam.spec,v 1.9 2000/01/17 15:00:28 duwe Exp $
