%define Ftploc	ftp://ftp.uk.linux.org/pub/linux/Networking/netkit

Name        	: netkit-telnet
Version     	: 0.17
Release     	: 12a
Group       	: System/Network

Summary     	: TELNET client and server.

Copyright   	: BSD
Packager    	: Olaf Kirch <okir@caldera.de>
Icon        	: netkit.xpm

Requires	: netkit-base, tcp_wrappers

BuildRoot   	: /tmp/%{Name}-%{Version}

Source0: %{Ftploc}/%{Name}-%{Version}.tar.gz
Patch0:  %{Name}-%{Version}-chroot.patch
Patch1:  %{Name}-%{Version}-gcc.patch
Patch2:  %{Name}-%{Version}-ayt.patch

%Description
The 'telnet' command is used for interactive communication with another
host using the TELNET protocol. telnet, unlike rlogin, translates terminal 
control sequences passed between your Linux machine and the remote machine,
which might use a completely different set of control characters.

%Prep
export POSIXLY_CORRECT=1
%setup -q
%patch0 -p1 -b .chroot
%patch1 -p1 -b .gcc
%patch2 -p1 -b .ayt

%Build
%{DESTDIR}

./configure --installroot=$DESTDIR --with-c++-compiler=g++

perl -pi -e 's/-O2/$RPM_OPT_FLAGS/; s/-Wpointer-arith //;' MCONFIG
perl -pi -e 's/^LIBS.*LIBTERMCA.*$//;' telnetd/Makefile
make

%Install
%{mkDESTDIR}

for dir in bin usr/bin usr/sbin usr/man/man{1,5,8}; do
	install -m 755 -d $DESTDIR/$dir
done
make install

mkdir -p $DESTDIR%{NKinetdir}
cat <<EOF >$DESTDIR/%{NKinetdir}/telnet
#telnet	stream	tcp	nowait	root	/usr/sbin/tcpd in.telnetd
EOF

%{fixManPages}


%Clean
%{rmDESTDIR}

%Post
test -d /var/lib/empty || mkdir -m 555 /var/lib/empty

# Add the telnet line in inetd.conf
grep -qs telnet /etc/inetd.conf || {
  lisa --inetd install --disable \
  	telnet stream tcp nowait root /usr/sbin/tcpd in.telnetd
}

%PostUn
lisa --inetd disable telnet $1


%Files
%attr(0555,root,root) /usr/bin/telnet
%attr(0555,root,root) /usr/sbin/in.telnetd
%attr(0444,root,root) %{_mandir}%{manEN}/man1/*
%attr(0444,root,root) %{_mandir}%{manEN}/man5/*
%attr(0444,root,root) %{_mandir}%{manEN}/man8/*


%ChangeLog
* Mon Jan 01 1998 ...
Template Version: 1.30

$Id: netkit-telnet.spec,v 1.24 2001/08/09 10:04:10 okir Exp $
